Subject: [PATCHv2 3/3] arm: dts: add bandgap entry for OMAP4460 devices

From: [email-masked] (Benoit Cousson)
Date: Thu, 16 May 2013 09:20:51 +0200

Hi Eduardo,

On 05/15/2013 06:36 PM, Eduardo Valentin wrote:
> On 15-05-2013 11:23, Benoit Cousson wrote:
>> Hi Eduardo,
>>
>> On 05/15/2013 04:58 PM, Eduardo Valentin wrote:
>>> Include bandgap devices for OMAP4460 devices.
>>>
>>> Cc: "Beno?t Cousson" <[email-masked]>
>>> Cc: Tony Lindgren <[email-masked]>
>>> Cc: Russell King <[email-masked]>
>>> Cc: linux-omap at vger.kernel.org
>>> Cc: devicetree-discuss at lists.ozlabs.org
>>> Cc: linux-arm-kernel at lists.infradead.org
>>> Cc: linux-kernel at vger.kernel.org
>>> Signed-off-by: Eduardo Valentin <[email-masked]>
>>> ---
>>>  arch/arm/boot/dts/omap4460.dtsi | 9 +++++++++
>>>  1 file changed, 9 insertions(+)
>>>
>>> diff --git a/arch/arm/boot/dts/omap4460.dtsi b/arch/arm/boot/dts/omap4460.dtsi
>>> index 2cf227c..e5bfbfe 100644
>>> --- a/arch/arm/boot/dts/omap4460.dtsi
>>> +++ b/arch/arm/boot/dts/omap4460.dtsi
>>> @@ -29,4 +29,13 @@
>>>  			     <0 55 0x4>;
>>>  		ti,hwmods = "debugss";
>>>  	};
>>> +
>>> +	bandgap {
>>> +		reg = <0x4a002260 0x4
>>> +			0x4a00232C 0x4
>>> +			0x4a002378 0x18>;
>>> +		compatible = "ti,omap4460-bandgap";
>>> +		interrupts = <0 126 4>; /* talert */
>>> +		ti,tshut-gpio = <86>;
> 
> 
> 
>>
>> Why do you need a custom attribute for GPIO? Cannot you use the standard
>> one?
> 
> I believe it was by your suggestion :-), during the first attempts to
> send this driver. But could not find the thread link :-( sorry.

Ooops :-) I do not remember that... maybe it was long time ago, before
we had any decent binding available for GPIO and IRQ...

> I guess the reasoning to mark it as a ti specific is because it will be
> used as IRQ line to treat thermal shutdown (in SW).

Mmm, ok, so in that case, it is not even a gpio, but an interrupt entry
that is needed like that:

	interrupt-parent = <&gpio3>;
	interrupts = <22>; /* gpio line 86 */

Except that we already have an IRQ line connected to GIC for the
Talert... I'm not sure we can have 2 different IRQ controllers for one
device :-(

We need to check.

Regards,
Benoit

>> Where is the gpio controller phandle?
>>
>> Usually it looks like this:
>>
>> 	gpios = <&gpio1 8 0>;
>>
>>
>> Regards,
>> Benoit
>>
>>
>>
> 
>